# Uses of Class
org.apache.lucene.backward_codecs.packed.LegacyDirectWriter

Packages that use LegacyDirectWriter
Package
Description
org.apache.lucene.backward_codecs.packed
Legacy PackedInts methods

- ## Uses of LegacyDirectWriter in org.apache.lucene.backward_codecs.packed

  Methods in org.apache.lucene.backward_codecs.packed that return LegacyDirectWriter
  Modifier and Type
  Method
  Description
  `static LegacyDirectWriter`
  LegacyDirectWriter.`getInstance(DataOutput output, long numValues, int bitsPerValue)`
  Returns an instance suitable for encoding `numValues` using `bitsPerValue`